# This spec is backported to ALTLinux 4.1 automatically by rpmbph script. Do not edit it.
#
%define oname XNeur

Name: xneur
Version: 0.9.7
Release: alt1.M41.2

Summary: X Neural Switcher

License: GPL
Group: Office
Url: http://xneur.ru/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://dists.xneur.ru/release-%version/tgz/%name-%version.tar.bz2
Patch0: %name-0.9.7.patch

# Automatically added by buildreq on Sun Oct 11 2009
BuildRequires: gstreamer-devel libXext-devel libXinerama-devel libaspell-devel libnotify-devel libpcre-devel libxosd-devel zlib-devel

BuildRequires: rpm-build-compat >= 0.95

%description
Xneur is program like Punto Switcher, but has other
functionality and features for configuring.

%package -n lib%name
Summary: Libraries needed for %name
Group: System/Libraries

%description -n lib%name
Libraries needed for %name

%package -n lib%name-devel
Summary: Headers for developing programs that will use %name
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package contains the headers that programmers will need to develop
applications which will use %name.

%prep
%setup -q -n %name-%version
%patch -p2
%__subst "s|@libdir@/xneur|@libdir@|g" lib/config/Makefile.am
%__subst "s|@libdir@/@PACKAGE@|@libdir@|g" xnconfig.pc.in
%__subst "s|/lib/|/%_lib/|g" configure.in

%build
%undefine __libtoolize
# autoreconf breaks build on ALT 4.1
%configure --disable-static
%make_build

%install
%makeinstall_std
%find_lang %name
rm -f %buildroot%_libdir/%name/*.so %buildroot%_libdir/%name/*.la

%files -f %name.lang
%doc AUTHORS ChangeLog NEWS README TODO
%_bindir/*
%_sysconfdir/%name/
%dir %_libdir/%name/
%_libdir/%name/*.so.*
%_datadir/%name/
%_man1dir/*

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_includedir/%name/
%_libdir/*.so
%_man5dir/*
%_pkgconfigdir/*.pc

%changelog
* Wed Jan 13 2010 Vitaly Lipatov <lav@altlinux.ru> 0.9.7-alt1.M41.2
- backport to ALTLinux 4.1 (by rpmbph script)

* Wed Jan 13 2010 Vitaly Lipatov <lav@altlinux.ru> 0.9.7-alt2
- fix build

* Sat Nov 07 2009 Vitaly Lipatov <lav@altlinux.ru> 0.9.7-alt1
- new version 0.9.7 (with rpmrb script)

* Sun Oct 11 2009 Vitaly Lipatov <lav@altlinux.ru> 0.9.6-alt1
- new version 0.9.6 (fix bug #21039)

* Tue Aug 18 2009 Vitaly Lipatov <lav@altlinux.ru> 0.9.5-alt1
- new version 0.9.5 (with rpmrb script)

* Sun Nov 02 2008 Vitaly Lipatov <lav@altlinux.ru> 0.9.2-alt1
- new version 0.9.2 (with rpmrb script)

* Fri Jul 25 2008 Vitaly Lipatov <lav@altlinux.ru> 0.9.1-alt2
- release 0.9.1

* Wed Jul 02 2008 Vitaly Lipatov <lav@altlinux.ru> 0.9.1-alt1
- 0.9.1 (svn revision 162)
- update requires, fix build on x86_64

* Wed Apr 23 2008 Vitaly Lipatov <lav@altlinux.ru> 0.8.0-alt2
- split library in libname package
- pack missed sound files

* Thu Oct 11 2007 Vitaly Lipatov <lav@altlinux.ru> 0.8.0-alt1
- new version 0.8.0 (with rpmrb script)
- update buildreq

* Wed Sep 19 2007 Vitaly Lipatov <lav@altlinux.ru> 0.6.2-alt1
- new version 0.6.2 (with rpmrb script)

* Sat May 19 2007 Vitaly Lipatov <lav@altlinux.ru> 0.6.1-alt2
- move libxnconfig to libdir

* Sat May 19 2007 Vitaly Lipatov <lav@altlinux.ru> 0.6.1-alt1
- new version 0.6.1 (with rpmrb script)

* Tue Apr 24 2007 Vitaly Lipatov <lav@altlinux.ru> 0.6.0-alt1
- new version 0.6.0 (with rpmrb script)

* Wed Mar 14 2007 Vitaly Lipatov <lav@altlinux.ru> 0.5.0-alt1
- new version 0.5.0, update buildreq, fix linking
- add post*_ldconfig

* Tue Jan 23 2007 Vitaly Lipatov <lav@altlinux.ru> 0.4.0-alt0.1
- new version 0.4.0 (with rpmrb script)

* Thu Dec 21 2006 Vitaly Lipatov <lav@altlinux.ru> 0.3.0-alt0.1
- new version 0.3.0

* Wed Dec 13 2006 Vitaly Lipatov <lav@altlinux.ru> 0.2.0-alt1
- new version (0.2.0)

* Sun Oct 15 2006 Vitaly Lipatov <lav@altlinux.ru> 0.1.0_1-alt1
- release (build gxneur from separate package now)

* Thu Oct 12 2006 Vitaly Lipatov <lav@altlinux.ru> 0.1.0-alt0.1beta
- updated version

* Wed Aug 23 2006 Vitaly Lipatov <lav@altlinux.ru> 0.1.0-alt0.1alpha
- new version (from new author)
- fix URL, Source URL

* Tue Feb 22 2005 Vitaly Lipatov <lav@altlinux.ru> 0.0.3-alt0.1
- new version

* Wed Jan 12 2005 Vitaly Lipatov <lav@altlinux.ru> 0.0.2-alt0.1
- first build for Sisyphus
